com.google.appengine.api.datastore

## Class Query.GeoRegion.Circle

- java.lang.Object
- - com.google.appengine.api.datastore.Query.GeoRegion
  - - com.google.appengine.api.datastore.Query.GeoRegion.Circle

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Query.GeoRegion

      public static final class Query.GeoRegion.Circle
      extends Query.GeoRegion

  A geographical region representing all points within a fixed distance from a central point, i.e., a circle. Intended for use in a geo-containment predicate filter.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.appengine.api.datastore.Query.GeoRegion

      `Query.GeoRegion.Circle, Query.GeoRegion.Rectangle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Circle(GeoPt center, double radius)` Creates a new `Circle` object from the given arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(GeoPt point)` Determines whether the given `GeoPt` value lies within this geographic region.
    `boolean` | `equals(java.lang.Object o)`
    `GeoPt` | `getCenter()`
    `double` | `getRadius()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Circle

          public Circle(GeoPt center,
                        double radius)

      Creates a new `Circle` object from the given arguments.
      Parameters:
        `center` - a `GeoPt` representing the center of the circle
        `radius` - the radius of the circle, expressed in meters

  - ### Method Detail

    - #### contains

          public boolean contains(GeoPt point)

      Description copied from class: `Query.GeoRegion`
      Determines whether the given `GeoPt` value lies within this geographic region. If the point lies on the border of the region it is considered to be contained.
      Specified by:
        `contains` in class `Query.GeoRegion`

    - #### getCenter

          public GeoPt getCenter()

    - #### getRadius

          public double getRadius()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`